> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Credential

> Revoke credentials for a connector.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/connectors/{connector_id}/credentials/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/connectors/{connector_id}/credentials/{id}:
    post:
      tags:
        - Connector
      summary: Revoke Credential
      description: Revoke credentials for a connector.
      operationId: c1.api.app.v1.ConnectorService.RevokeCredential
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId of the app the connector is attached to.
            readOnly: false
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: >-
              The connectorId of the connector that we are revoking the
              credentials for.
            readOnly: false
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: The id of the ConnectorCredential.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v1.ConnectorServiceRevokeCredentialRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.ConnectorServiceRevokeCredentialResponse
          description: Empty response body. Status code indicates success.
      x-codeSamples:
        - lang: go
          label: RevokeCredential
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Connector.RevokeCredential(ctx, operations.C1APIAppV1ConnectorServiceRevokeCredentialRequest{\n        AppID: \"<id>\",\n        ConnectorID: \"<id>\",\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ConnectorServiceRevokeCredentialResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.connector.revokeCredential({
                appId: "<id>",
                connectorId: "<id>",
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.ConnectorServiceRevokeCredentialRequestInput:
      description: >-
        ConnectorServiceRevokeCredentialRequest is a request for revoking
        connector credentials. It uses URL values for input.
      title: Connector Service Revoke Credential Request
      type: object
      x-speakeasy-entity: ConnectorCredential
      x-speakeasy-name-override: ConnectorServiceRevokeCredentialRequest
    c1.api.app.v1.ConnectorServiceRevokeCredentialResponse:
      description: Empty response body. Status code indicates success.
      title: Connector Service Revoke Credential Response
      type: object
      x-speakeasy-entity: ConnectorCredential
      x-speakeasy-name-override: ConnectorServiceRevokeCredentialResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````